/* Code for Bellemare, Marc F., "When	*/
/* Perception is Reality: Subjective	*/
/* Expectations and Contracting,"	*/
/* American Journal of Agricultural	*/
/* Economics, forthcoming.		*/

/* Code Author: Marc F. Bellemare	*/
/* Assistant Professor of Public Policy	*/
/* and Economics, Duke University	*/

/* This Version: July 13, 2009		*/


clear
drop _all
set mem 256m

use "C:\BellemareSubjectivePerceptions.dta", clear


log using "C:\BellemareSubjectivePerceptions", replace



/* Descriptive Statistics (Table 1)	*/

sum P_asrk20t hyp_asrk r_a ar_sc ar_fr y_2 family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr  A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12



/* Contract Choice (Table 2)		*/

set seed 123456789

capture program drop myprobit1
program myprobit1
	version 9
regress y_2 family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 r_a [pweight=weight], cluster(cluster) 
end

bootstrap, reps(500): myprobit1



set seed 123456789

capture program drop myprobit1
program myprobit1
	version 9
regress y_2 family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 r_a if P_awc < A_awc [pweight=weight], cluster(cluster) 
end

bootstrap, reps(500): myprobit1



set seed 123456789

capture program drop myprobit1
program myprobit1
	version 9
regress y_2 family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 r_a if P_awc >= A_awc [pweight=weight], cluster(cluster) 
end

bootstrap, reps(500): myprobit1



/* Subjective Perceptions (Table 3)	*/

set seed 123456789

capture program drop myprobit1
program myprobit1
	version 9
regress ar_sc family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 [pweight=weight], cluster(cluster) 
end

bootstrap, reps(500): myprobit1


set seed 123456789

capture program drop myprobit1
program myprobit1
	version 9
regress ar_fr family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 [pweight=weight], cluster(cluster) 
end

bootstrap, reps(500): myprobit1


set seed 123456789

capture program drop myprobit1
program myprobit1
	version 9
regress r_a family L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_yrstent kin A_hhsize A_depr A_age A_educ A_awc A_income_pc v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 [pweight=weight], cluster(cluster) 
end

bootstrap, reps(500): myprobit1


log close




